Public Member Functions | Package Functions

# BinNavi.API.disassembly.ViewListenerAdapter Class Reference

Adapter class for views. More...

Inheritance diagram for BinNavi.API.disassembly.ViewListenerAdapter:

List of all members.

## Public Member Functions
void | addedNode (View view, ViewNode node)
| Signals a new node.
void | changedDescription (View view, String description)
| Signals a change of the view description.
void | changedGraphType (View view, GraphType type)
| Signals a change of the graph type.
void | changedModificationDate (View view, Date date)
| Signals a change of the view modification date.
void | changedName (View view, String name)
| Signals a change of the view name.
void | closedView (View view)
| Signals that the view was closed.
boolean | closingView (View view)
| Signals that the view is about to be closed.
void | deletedEdge (View view, ViewEdge edge)
| Signals the deletion of an edge.
void | deletedNode (View view, ViewNode node)
| Signals the deletion of a node.
void | taggedView (View view, Tag tag)
| Signals that the view was tagged.
void | untaggedView (View view, Tag tag)
| Signals that the view was untagged.
## Package Functions
void | addedEdge (View view, ViewEdge edge)
| Signals a new edge.

## Detailed Description

Adapter class that can be used by objects that want to listen on views but only need to process few events.

## Member Function Documentation

void BinNavi.API.disassembly.IViewListener.addedEdge | ( | View | view,
|  | ViewEdge | edge |
| ) |  |  | `[package, inherited]`

Invoked after an edge was added to the view.

Parameters:

  | view | The view where the edge was added.
  | edge | The edge that was added to the view.

void BinNavi.API.disassembly.IViewListener.addedNode | ( | View | view,
|  | ViewNode | node |
| ) |  |  | `[inherited]`

Invoked after a node was added to the view.

Parameters:

  | view | The view where the node was added.
  | node | The node that was added to the view.

void BinNavi.API.disassembly.IViewListener.changedDescription | ( | View | view,
|  | String | description |
| ) |  |  | `[inherited]`

Invoked after the description of a view changed.

Parameters:

  | view | The view whose description changed.
  | description | The new description of the view.

void BinNavi.API.disassembly.IViewListener.changedGraphType | ( | View | view,
|  | GraphType | type |
| ) |  |  | `[inherited]`

Invoked after the type of the view's graph changed. This event is generally invoked after nodes were added to or removed from the view.

Parameters:

  | view | The view whose type changed.
  | type | The new type of the graph,

void BinNavi.API.disassembly.IViewListener.changedModificationDate | ( | View | view,
|  | Date | date |
| ) |  |  | `[inherited]`

Invoked after the modification date of the view changed.

Parameters:

  | view | The view whose modification date changed.
  | date | The new modification date of the view.

void BinNavi.API.disassembly.IViewListener.changedName | ( | View | view,
|  | String | name |
| ) |  |  | `[inherited]`

Invoked after the name of the view changed.

Parameters:

  | view | The view whose name changed.
  | name | The new name of the view.

void BinNavi.API.disassembly.IViewListener.closedView | ( | View | view | ) | `[inherited]`

Invoked after the view was closed.

After this function was invoked, using parts of the view which must be loaded before they can be used (for example the graph of the view) leads to undefined behavior.

Parameters:

  | view | The view that was closed.

boolean BinNavi.API.disassembly.IViewListener.closingView | ( | View | view | ) | `[inherited]`

Invoked right before a view is closed. The listening object has the opportunity to veto the close process if it still needs to work with the loaded parts of the view.

Parameters:

  | view | The view that is about to be closed.

Returns:
  True, to indicate that the view can be closed. False, to veto the close process.

void BinNavi.API.disassembly.IViewListener.deletedEdge | ( | View | view,
|  | ViewEdge | edge |
| ) |  |  | `[inherited]`

Invoked after an edge was deleted from the view.

Parameters:

  | view | The view the edge was deleted from.
  | edge | The edge that was deleted from the view.

void BinNavi.API.disassembly.IViewListener.deletedNode | ( | View | view,
|  | ViewNode | node |
| ) |  |  | `[inherited]`

Invoked after an node was deleted from the view.

Parameters:

  | view | The view the node was deleted from.
  | node | The node that was deleted from the view.

void BinNavi.API.disassembly.IViewListener.taggedView | ( | View | view,
|  | Tag | tag |
| ) |  |  | `[inherited]`

Invoked after a view was tagged with a tag.

Parameters:

  | view | The view that was tagged.
  | tag | The tag that was used to tag the view.

void BinNavi.API.disassembly.IViewListener.untaggedView | ( | View | view,
|  | Tag | tag |
| ) |  |  | `[inherited]`

Invoked after a tag was removed from a view.

Parameters:

  | view | The view that was untagged.
  | tag | The tag that was removed from the view.